/*
 * This file is in the Public Domain
 */
package com.ldodds.foaf;

import java.io.*;
import java.net.URL;

import com.ldodds.foaf.jena.JenaFOAFWriterFactory;

/**
 * TODO -- description of FOAFWriterFactory
 * 
 * @author ldodds
 */
public abstract class FOAFWriterFactory
{
    public static FOAFWriterFactory getInstance()
    {
        return new JenaFOAFWriterFactory();
    }
    
    public abstract FOAFWriter getFOAFWriter(String baseURI, String filename)
    	throws FileNotFoundException;
    
    public abstract FOAFWriter getFOAFWriter(String baseURI, File file)
		throws FileNotFoundException;
    
    public abstract FOAFWriter getFOAFWriter(String baseURI, OutputStream out);
    
    public abstract FOAFWriter getFOAFWriter(String baseURI, URL toPostTo);
    
}
