package com.ldodds.foaf.jena;

import com.hp.hpl.jena.rdf.model.*;

/**
 * @author ldodds
 */
public class FOAF
{
    private static Model m_model = ModelFactory.createDefaultModel();

    public static final String NS = "http://xmlns.com/foaf/0.1/";

    public static String getURI()
    {
        return NS;
    }

    public static final Resource NAMESPACE = m_model.createResource(NS);

    public static final Resource Person = m_model.createResource(NS + "Person");

    public static final Resource Document = m_model.createResource(NS
            + "Document");

    public static final Resource PersonalProfileDocument = m_model
            .createResource(NS + "PersonalProfileDocument");

    public static final Property knows = m_model.createProperty(NS + "knows");

    public static final Property firstname = m_model.createProperty(NS
            + "firstName");

    public static final Property lastname = m_model.createProperty(NS
            + "surname");

    public static final Property name = m_model.createProperty(NS + "name");

    public static final Property title = m_model.createProperty(NS + "title");

    public static final Property email = m_model.createProperty(NS + "mbox");

    public static final Property email_encrypted = m_model.createProperty(NS
            + "mbox_sha1sum");

    public static final Property homepage = m_model.createProperty(NS
            + "homepage");

    public static final Property depiction = m_model.createProperty(NS
            + "depiction");

    public static final Property nickname = m_model.createProperty(NS + "nick");

    public static final Property phone = m_model.createProperty(NS + "phone");

    public static final Property friends = m_model.createProperty(NS + "knows");

    public static final Property school = m_model.createProperty(NS
            + "schoolHomepage");

    public static final Property work = m_model.createProperty(NS
            + "workplaceHomepage");

    public static final Property about_work = m_model.createProperty(NS
            + "workInfoHomepage");

    public static final Property publications = m_model.createProperty(NS
            + "publications");

    public static final Property maker = m_model.createProperty(NS + "maker");

    public static final Property gender = m_model.createProperty(NS + "gender");

    //TODO confirm whether foaf:owns is going into spec
    public static final Property owns = m_model.createProperty(NS + "owns");

    public static final Property weblog = m_model.createProperty(NS + "weblog");

    public static final Property jabber = m_model.createProperty(NS
            + "jabberID");

    public static final Property aim = m_model.createProperty(NS + "aimChatID");

    public static final Property icq = m_model.createProperty(NS + "icqChatID");

    public static final Property yahoo = m_model.createProperty(NS
            + "yahooChatID");

    public static final Property msn = m_model.createProperty(NS + "msnChatID");

    //TODO confirm whether foaf:reads is going into spec
    public static final Property reads = m_model.createProperty(NS + "reads");

    public static final Property family_name = m_model.createProperty(NS
            + "family_name");

    public static final Property givenname = m_model.createProperty(NS
            + "givenname");

    public static final Property primaryTopic = m_model.createProperty(NS
            + "primaryTopic");

}