package com.ldodds.foaf.jena;

import java.io.IOException;
import java.io.InputStream;
import java.net.URL;

import com.hp.hpl.jena.rdf.model.*;

import com.ldodds.foaf.*;

public class JenaFOAFGraphFactory extends FOAFGraphFactory
{

    public FOAFGraph getGraph(String uri) throws IOException
    {
        Model model = ModelFactory.createDefaultModel();
        model.read(uri);
        return new FOAFGraphImpl(model);
    }

    public FOAFGraph getGraph(InputStream in, String base) throws IOException
    {
        Model model = ModelFactory.createDefaultModel();
        model.read(in, base);
        return new FOAFGraphImpl(model);
    }

    public FOAFGraph getGraph(URL url) throws IOException
    {
        return getGraph(url.openStream(), url.toString());
    }
}