/*
 * This file is in the Public Domain
 */
package com.ldodds.foaf.jena;

import java.io.*;
import java.net.URL;

import com.hp.hpl.jena.rdf.model.*;

import com.ldodds.foaf.FOAFWriter;
import com.ldodds.foaf.FOAFWriterFactory;

/**
 * TODO -- description of JenaFOAFWriterFactory
 * 
 * @author ldodds
 */
public class JenaFOAFWriterFactory extends FOAFWriterFactory
{
    /** 
     * @see com.ldodds.foaf.FOAFWriterFactory#getFOAFWriter(java.lang.String, java.lang.String)
     */
    public FOAFWriter getFOAFWriter(String baseURI, String filename) 
    	throws FileNotFoundException
    {        
        return new FOAFWriterImpl(ModelFactory.createDefaultModel(),
                				  baseURI, filename);
    }

    /** 
     * @see com.ldodds.foaf.FOAFWriterFactory#getFOAFWriter(java.lang.String, java.io.File)
     */
    public FOAFWriter getFOAFWriter(String baseURI, File file)
    	throws FileNotFoundException
    {
        return new FOAFWriterImpl(ModelFactory.createDefaultModel(),
				  baseURI, file);
    }

    /** 
     * @see com.ldodds.foaf.FOAFWriterFactory#getFOAFWriter(java.lang.String, java.net.URL)
     */
    public FOAFWriter getFOAFWriter(String baseURI, URL toPostTo)
    {
        return new FOAFWriterImpl(ModelFactory.createDefaultModel(),
				  baseURI, toPostTo);
    }

    /** 
     * @see com.ldodds.foaf.FOAFWriterFactory#getFOAFWriter(java.lang.String, java.io.OutputStream)
     */
    public FOAFWriter getFOAFWriter(String baseURI, OutputStream out)
    {
        return new FOAFWriterImpl(ModelFactory.createDefaultModel(),
				  baseURI, out);
    }

}
