/*
 * This file is in the Public Domain
 */
package com.ldodds.foaf.model;

import java.util.*;

import com.ldodds.util.SHA1Encryptor;

/**
 * TODO -- description of Agent
 * 
 * @author ldodds
 */
public class Agent implements Comparable
{
    private String _tipJar;
    private String _yahooChatId;
    private String _icqChatId;
    private String _mbox;
    private String _mboxSha1Sum;
    private String _aimChatId;
    private String _gender;
    private String _jabberId;
    private String _weblog;
    private String _msnChatId;
    private String _homepage;
    private String _name;
    private String _nick;
    
    private List _groups;
    
    public Agent()
    {
        _groups = new ArrayList();
        
    }
    /**
     * @return Returns the aimChatId.
     */
    public String getAimChatId()
    {
        return _aimChatId;
    }
    /**
     * @param aimChatId The aimChatId to set.
     */
    public void setAimChatId(String aimChatId)
    {
        _aimChatId = aimChatId;
    }
    /**
     * @return Returns the gender.
     */
    public String getGender()
    {
        return _gender;
    }
    /**
     * @param gender The gender to set.
     */
    public void setGender(String gender)
    {
        _gender = gender;
    }
    /**
     * @return Returns the homepage.
     */
    public String getHomepage()
    {
        return _homepage;
    }
    /**
     * @param homepage The homepage to set.
     */
    public void setHomepage(String homepage)
    {
        _homepage = homepage;
    }
    /**
     * @return Returns the icqChatId.
     */
    public String getIcqChatId()
    {
        return _icqChatId;
    }
    /**
     * @param icqChatId The icqChatId to set.
     */
    public void setIcqChatId(String icqChatId)
    {
        _icqChatId = icqChatId;
    }
    /**
     * @return Returns the jabberId.
     */
    public String getJabberId()
    {
        return _jabberId;
    }
    /**
     * @param jabberId The jabberId to set.
     */
    public void setJabberId(String jabberId)
    {
        _jabberId = jabberId;
    }
    /**
     * @return Returns the mbox.
     */
    public String getEmail()
    {
        return _mbox;
    }
    /**
     * @param mbox The mbox to set.
     */
    public void setEmail(String mbox)
    {
        _mbox = mbox;
    }
    public String getEmailSha1Sum()
    {
        if ( _mboxSha1Sum != null )
        {
            return _mboxSha1Sum;
        }

        if ( _mbox == null )
        {
            return null;
        }

        return new SHA1Encryptor().encrypt("mailto:" + _mbox);
    }

    /**
     * @param mboxSha1Sum The mboxSha1Sum to set.
     */
    public void setEmailSha1Sum(String mboxSha1Sum)
    {
        _mboxSha1Sum = mboxSha1Sum;
    }
    /**
     * @return Returns the msnChatId.
     */
    public String getMsnChatId()
    {
        return _msnChatId;
    }
    /**
     * @param msnChatId The msnChatId to set.
     */
    public void setMsnChatId(String msnChatId)
    {
        _msnChatId = msnChatId;
    }
    /**
     * @return Returns the name.
     */
    public String getName()
    {
        return _name;
    }
    /**
     * @param name The name to set.
     */
    public void setName(String name)
    {
        _name = name;
    }
    /**
     * @return Returns the nick.
     */
    public String getNick()
    {
        return _nick;
    }
    /**
     * @param nick The nick to set.
     */
    public void setNick(String nick)
    {
        _nick = nick;
    }
    /**
     * @return Returns the tipJar.
     */
    public String getTipJar()
    {
        return _tipJar;
    }
    /**
     * @param tipJar The tipJar to set.
     */
    public void setTipJar(String tipJar)
    {
        _tipJar = tipJar;
    }
    /**
     * @return Returns the weblog.
     */
    public String getWeblog()
    {
        return _weblog;
    }
    /**
     * @param weblog The weblog to set.
     */
    public void setWeblog(String weblog)
    {
        _weblog = weblog;
    }
    /**
     * @return Returns the yahooChatId.
     */
    public String getYahooChatId()
    {
        return _yahooChatId;
    }
    /**
     * @param yahooChatId The yahooChatId to set.
     */
    public void setYahooChatId(String yahooChatId)
    {
        _yahooChatId = yahooChatId;
    }
       
    /**
     * @return Returns the groups.
     */
    public List getGroups()
    {
        return _groups;
    }
    /**
     * @param groups The groups to set.
     */
    public void setGroups(List groups)
    {
        _groups = groups;
    }
    /**
     * Sorts <code>Agent</code> objects by their email addresses.
     * 
     * @see java.lang.Comparable#compareTo(Object)
     */
    public int compareTo(Object obj)
    {
        if ( _mbox == null )
        {
            return +1;
        }

        Person other = (Person) obj;

        if ( other.getEmail() == null )
        {
            //nulls sort low
            return -1;
        }

        return _mbox.compareTo(other.getEmail());
    }
    
}
