package com.ldodds.foaf.model;

import java.util.*;

/**
 * Models a FOAF Person.
 * 
 * <p>
 * This code is Public Domain
 * </p>
 * 
 * @author ccslrd
 */
public class Person extends Agent implements Comparable
{
    private String _title;
    private String _firstname;
    private String _surname;
    private String _depiction;
    private String _tel;
    private String _seeAlso;
    private String _school;
    private String _work;
    private String _workinfo;
    private List _friends;

    public Person()
    {
        _friends = new ArrayList();
    }

    public void setSchool(String school)
    {
        _school = school;
    }

    public String getSchool()
    {
        return _school;
    }

    public void setWorkHomepage(String url)
    {
        _work = url;
    }

    public String getWorkHomepage()
    {
        return _work;
    }

    public void setWorkInfoPage(String url)
    {
        _workinfo = url;
    }

    public String getWorkInfoPage()
    {
        return _workinfo;
    }

    public String getTitle()
    {
        return _title;
    }

    public void setTitle(String title)
    {
        _title = title;
    }

    public void setDepiction(String depiction)
    {
        _depiction = depiction;
    }

    public String getDepiction()
    {
        return _depiction;
    }

    public void setTelephoneNumber(String number)
    {
        _tel = number;
    }

    public String getTelephoneNumber()
    {
        return _tel;
    }

    public String getFirstName()
    {
        return _firstname;
    }

    public String getSurname()
    {
        return _surname;
    }

    public String getSeeAlso()
    {
        return _seeAlso;
    }

    public void setFirstName(String firstname)
    {
        _firstname = firstname;
    }

    public void setSurname(String surname)
    {
        _surname = surname;
    }

    public void setSeeAlso(String seeAlso)
    {
        _seeAlso = seeAlso;
    }

    public List getFriends()
    {
        return _friends;
    }

    public void setFriends(List friends)
    {
        _friends = friends;
    }
}