/*
 * This file is in the Public Domain
 */
package com.ldodds.foaf.jena;
import java.io.*;

import junit.framework.TestCase;
import com.hp.hpl.jena.rdf.model.*;
import com.hp.hpl.jena.vocabulary.*;
import com.ldodds.foaf.FOAFGraph;
import com.ldodds.foaf.model.Person;

/**
 * TODO -- description of JenaFOAFGraphFactoryTest
 * 
 * @author ldodds
 */
public class JenaFOAFGraphFactoryTest extends TestCase
{
    private Model _model;
    private static final String TEST_URI = "http://www.example.com/foaf-beans/test";
    private static final String TEST_HOME = "http://www.ldodds.com";
    private String _testRDF;
    
    public static void main(String[] args)
    {
        junit.textui.TestRunner.run(JenaFOAFGraphFactoryTest.class);
    }

    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception
    {
        _model = ModelFactory.createDefaultModel();
        
        Resource ppd = _model.createResource(TEST_URI);
        ppd.addProperty(RDF.type, FOAF.PersonalProfileDocument);
       
        Resource person = _model.createResource();
        person.addProperty(RDF.type, FOAF.Person);
        
        Resource home = _model.createResource(TEST_HOME);
        person.addProperty(FOAF.homepage, home);
        
        ppd.addProperty(FOAF.primaryTopic, person);               
        
        StringWriter writer = new StringWriter();
        _model.write(writer);
        _testRDF = writer.toString();        
    }

    /*
     * Class under test for FOAFGraph getGraph(InputStream, String)
     */
    public void testGetGraphInputStreamString() throws Exception
    {
        JenaFOAFGraphFactory factory = new JenaFOAFGraphFactory();
        StringBufferInputStream in = new StringBufferInputStream(_testRDF);
        
        FOAFGraph graph = factory.getGraph(in, TEST_URI);
        Person person = graph.findPrimaryPerson(TEST_URI);
        assertNotNull(person);
        assertEquals(TEST_HOME, person.getHomepage());
    }

}
